Bug 237194 - runVNC TypeError: unsupported operand type(s)
runVNC TypeError: unsupported operand type(s)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-19 18:18 EDT by eric magaoay
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-20 10:50:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eric magaoay 2007-04-19 18:18:50 EDT
Description of problem:
abnormal exit when anaconda start VNC. Here is the Traceback:

File "/usr/bin/anaconda", line 846, in <module>
  runVNC(vncpassword, vncconnecthost, vncconnectport, doStartupX11Actions)
File "/usr/bin/anaconda", line 379, in runVNC
  vncStartedCB=vncStartedCB)
File "/usr/lib/anaconda/vnc.py", line 241, in startVNCServer
  connxinfo += " (%s)" % ipstr
TypeError: unsupported operand type(s) for +=: 'NoneType' and 'str'
install exited abnormally [1/1]

Version-Release number of selected component (if applicable):
anaconda 11.2.0.52-1.x86_64

How reproducible:
persistent

Steps to Reproduce:
1. boot from PXE with command line to start VNC.  
  # sample pxelinux.cfg
    label fedora-dev
       kernel /fed/x86_64/os/isolinux/vmlinuz
       append initrd=/fed/x86_64/os/isolinux/initrd.img ksdevice=eth1
ks=http://192.168.3.102/a/kickstart.cfg
  # sample kickstart.cfg
    vnc --passwd install
    url --url http://192.168.3.102/a/fed/x86_64/os
    network --device eth1 --bootproto dhcp --hostname fiji3
    lang en_US
    keyboard us
    rootpw install
    timezone America/New_York
Comment 1 Chris Lumens 2007-04-20 10:50:21 EDT
This will be fixed in the next build of anaconda.

Note You need to log in before you can comment on or make changes to this bug.